JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"]
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Get UI Action setting
const setting = await box.action.getSettings();
console.log("Current setting:", setting);
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # default
box = gbox_sdk.create(type="android")
# Get UI Action setting
setting = box.action.get_settings()
print("Current setting:", setting)
if __name__ == "__main__":
main()curl --request GET \
--url https://gbox.ai/api/v1/boxes/{boxId}/actions/settings \
--header 'Authorization: Bearer <token>'{
"scale": 1
}UI Action
Get settings
Get the action settings for the box
GET
/
boxes
/
{boxId}
/
actions
/
settings
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"]
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
// Get UI Action setting
const setting = await box.action.getSettings();
console.log("Current setting:", setting);
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # default
box = gbox_sdk.create(type="android")
# Get UI Action setting
setting = box.action.get_settings()
print("Current setting:", setting)
if __name__ == "__main__":
main()curl --request GET \
--url https://gbox.ai/api/v1/boxes/{boxId}/actions/settings \
--header 'Authorization: Bearer <token>'{
"scale": 1
}Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Response
200 - application/json
Action setting
The scale of the action to be performed. Must be greater than 0.1 and less than or equal to 1.
Notes:
- Scale does not change the box's actual screen resolution.
- It affects the size of the output screenshot and the coordinates/distances of actions. Coordinates and distances are scaled by this factor. Example: when scale = 1, Click({x:100, y:100}); when scale = 0.5, the equivalent position is Click({x:50, y:50}).
Required range:
0.1 <= x <= 1Example:
1
Was this page helpful?